Deactivate Rate
curl --request PATCH \
--url https://api.blockradar.co/v1/rates/{id}/deactivate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"reason": "DEACTIVATION_REASON"
}
'import requests
url = "https://api.blockradar.co/v1/rates/{id}/deactivate"
payload = { "reason": "DEACTIVATION_REASON" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'DEACTIVATION_REASON'})
};
fetch('https://api.blockradar.co/v1/rates/{id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"deactivatedAt": "2026-02-19T08:00:37.185Z",
"deactivatedBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivationReason": "Paused by user",
"fromAsset": "USDC",
"id": "cad01df3-4041-4e81-a368-534fb4de5d12",
"isActive": false,
"maxAmount": null,
"minAmount": "0.000006",
"network": "testnet",
"rate": "1",
"status": "deactivated",
"toAsset": "BNB",
"version": 2
},
"message": "Rate deactivated successfully",
"statusCode": 200
}Deactivate Rate
Deactivates an existing rate for a specific asset pair.
Use this endpoint to deactivate a previously-created rate. Deactivation is applied to the rate identified by id.
Endpoint
PATCH https://api.blockradar.co/v1/rates/:id/deactivate
Path Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| id | true | string | The unique identifier of the rate to deactivate. |
Body Parameters
Provide the fields required to authorize deactivation.
| Key | Required | Type | Description |
|---|---|---|---|
| reason | true | string | The reason for deactivating the rate. |
PATCH
/
v1
/
rates
/
{id}
/
deactivate
Deactivate Rate
Authorizations
Path Parameters
Example:
"rate_id"
Body
application/json
Example:
"DEACTIVATION_REASON"
⌘I

